%global commit ff1ca151f9dc71b16f5aa3eabd5222c1d19a2829
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20141117

Name:           gr-rds
Version:        0.0.%{gitdate}git%{shortcommit}
Release:        13%{?dist}
Summary:        GNU Radio FM RDS Receiver
Group:          Applications/Engineering
License:        GPLv3+
URL:            https://github.com/bastibl/gr-rds
Source0:        https://github.com/bastibl/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  gnuradio-devel
BuildRequires:  cppunit-devel
BuildRequires:  swig
BuildRequires:  cmake
BuildRequires:  doxygen
Requires:       gr-osmosdr

%description
%{summary}.


%package devel
Summary:          Development files for gr-rds
Group:            Applications/Engineering
Requires:         %{name}%{?_isa} = %{version}

%description devel
%{summary}.


%package doc
Summary:        Documentation files for gr-rds
Group:          Applications/Engineering
Requires:       %{name} = %{version}
BuildArch:      noarch

%description doc
%{summary}.


%prep
%setup -q -n %{name}-%{commit}


%build
mkdir build
pushd build
%{cmake} -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name} ..
make %{?smp_mflags}
popd


%install
pushd build
%make_install
popd

mkdir -p %{buildroot}%{_datadir}/%{name}/apps
install -p -m 644 apps/rds_*.grc %{buildroot}%{_datadir}/%{name}/apps


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%doc COPYING README.md
%{_libdir}/libgnuradio-rds*.so.*
%{python_sitearch}/rds/
%{_datadir}/gnuradio/grc/blocks/rds_*.xml
%{_datadir}/%{name}/apps/rds_*.grc

%files devel
%{_includedir}/rds/
%{_libdir}/libgnuradio-rds*.so

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml


%changelog
* Fri Aug 28 2015 Dan Horák <dan@danny.cz> - 0-0.12.20141117gitff1ca15.1
- rebuilt for boost 1.58

* Fri Aug 14 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.12.20141117gitff1ca15
- Rebuilt for new gnuradio

* Mon Aug 03 2015 Dan Horák <dan@danny.cz> - 0-0.11.20141117gitff1ca15
- rebuild for boost 1.58

* Tue Jul 28 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.10.20141117gitff1ca15
- Rebuilt for new gnuradio

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.20141117gitff1ca15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 16 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.8.20141117gitff1ca15
- Rebuilt for new gnuradio

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0-0.7.20141117gitff1ca15
- Rebuilt for GCC 5 C++11 ABI change

* Sat Mar  7 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.6.20141117gitff1ca15
- rebuilt for new gnuradio

* Fri Feb  6 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.5.20141117gitff1ca15
- rebuilt for new boost

* Thu Nov 20 2014 Dan Horák <dan@danny.cz> - 0-0.4.20141117gitff1ca15
- updated to git ff1ca15 (20141117)

* Sat Nov 15 2014 Dan Horák <dan@danny.cz> - 0-0.3.20141024gitc3b1c31
- updated to git c3b1c31 (20141024)
- switched to standard github Source
- added docs and devel subpackages
- fix issues from review

* Tue Oct 21 2014 Dan Horák <dan@danny.cz> - 0-0.2.20141006git841b6307
- updated to git 841b6307 (20141006)

* Sun Sep 14 2014 Dan Horák <dan@danny.cz> - 0-0.1.20140823gitd11ece06
- initial Fedora version
